## texlive-base 2017.20170818

=== texmf-dist/doc/latex/beamer/doc/Makefile ===
AUXFILES = *.aux *.bbl *-blx.bib *.bcf *.blg *.fdb_latexmk *.idx *.ilg *.ind *.log *mpgraph.mp *.nav *.out *.snm *.synctex.gz *.tmp *.toc *.tui *.tuc *.tuo *.vrb *~

rerun = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
doc   = beameruserguide

themes = AnnArbor Antibes Berkeley Berlin Bergen Boadilla Copenhagen \
  Darmstadt Dresden EastLansing Frankfurt Goettingen Hannover Ilmenau JuanLesPins \
  Luebeck Malmoe Madrid Marburg Montpellier PaloAlto Pittsburgh \
  Rochester Singapore Szeged Warsaw \
  CambridgeUS \
  default boxes

fontthemes = default serif structurebold structureitalicserif structuresmallcapsserif 

colorthemes = default crane albatross seahorse whale dolphin \
  rose orchid sidebartab lily structure dove seagull beetle fly wolverine spruce \
  beaver monarca

outerthemes = default infolines miniframes shadow sidebar smoothbars smoothtree split tree

innerthemes = default circles rectangles rounded inmargin

all: $(doc).pdf

beameruserguide.idx: 
	touch beameruserguide.idx

beameruserguide.ind: beameruserguide.idx 
	makeindex $(doc).idx

beameruserguide.pdf: $(doc).tex $(doc).ind \
 $(themes:%=beamerugtheme%.pdf) \
 $(fontthemes:%=beamerugfonttheme%.pdf) \
 $(colorthemes:%=beamerugcolortheme%.pdf) \
 beamerugcolorthemealbatrossstylish.pdf \
 $(innerthemes:%=beameruginnertheme%.pdf) \
 $(outerthemes:%=beamerugoutertheme%.pdf) 
	pdflatex $(doc) ; \
	if [ $$? = 0 ] ; then  \
	  makeindex $(doc) ; \
	  pdflatex $(doc) ; \
	  makeindex $(doc) ; \
	  pdflatex $(doc) ; \
	else \
	  echo "  Compilation failed" ; \
	fi ; \
	rm -f $(AUXFILES)


beamerugtheme%.pdf: beamerthemeexample.tex beamerthemeexamplebase.tex ../base/themes/theme/beamertheme%.sty
	pdflatex \\def\\themename{$(@:beamerugtheme%.pdf=%)}\\input beamerthemeexample.tex;
	mv beamerthemeexample.pdf $@

beamerugfonttheme%.pdf: beamerfontthemeexample.tex beamerthemeexamplebase.tex ../base/themes/font/beamerfonttheme%.sty
	pdflatex \\def\\themename{$(@:beamerugfonttheme%.pdf=%)}\\input beamerfontthemeexample.tex;
	mv beamerfontthemeexample.pdf $@

beamerugcolorthemealbatrossstylish.pdf: beamercolorthemeexample.tex beamerthemeexamplebase.tex ../base/themes/color/beamercolorthemealbatross.sty
	pdflatex \\def\\themename{albatrossstylish}\\input beamercolorthemeexample.tex;
	mv beamercolorthemeexample.pdf $@

beamerugcolortheme%.pdf: beamercolorthemeexample.tex beamerthemeexamplebase.tex ../base/themes/color/beamercolortheme%.sty
	pdflatex \\def\\themename{$(@:beamerugcolortheme%.pdf=%)}\\input beamercolorthemeexample.tex;
	mv beamercolorthemeexample.pdf $@

beameruginnertheme%.pdf: beamerinnerthemeexample.tex beamerthemeexamplebase.tex ../base/themes/inner/beamerinnertheme%.sty
	pdflatex \\def\\themename{$(@:beameruginnertheme%.pdf=%)}\\input beamerinnerthemeexample.tex;
	mv beamerinnerthemeexample.pdf $@

beamerugoutertheme%.pdf: beamerouterthemeexample.tex beamerthemeexamplebase.tex ../base/themes/outer/beameroutertheme%.sty
	pdflatex \\def\\themename{$(@:beamerugoutertheme%.pdf=%)}\\input beamerouterthemeexample.tex;
	mv beamerouterthemeexample.pdf $@

clean:
	rm -f $(AUXFILES) beamerug*.pdf

=== debian/changelog ===
texlive-base (2017.20170818-1) unstable; urgency=medium

  * new upstream checkout
  * remove texlive-math-extra configuration files as this package
    is gone (Closes: #870216)
  * Take over prosper into texlive-latex-extra, provide a
    transitional package (Closes: #840890)

 -- Norbert Preining <preining@debian.org>  Fri, 18 Aug 2017 11:46:06 +0900

texlive-base (2017.20170808-1) unstable; urgency=medium

  [ Gregor Herrmann ]
  * Fix "Unescaped left brace in regex is deprecated":
    add patch thumbpdf-unescaped-left-brace to fix unescaped literal curly.
    (Closes: #826465)

  [ Norbert Preining ]
  * new upstream checkout
    - new xecjk fixes undefined boolean (Closes: #870280)

 -- Norbert Preining <preining@debian.org>  Tue, 08 Aug 2017 10:32:11 +0900

texlive-base (2017.20170801-1) unstable; urgency=medium

  * new upstream checkout: The Long Dark release!
    - fix unicode-math errors
  * texdoctk: warn on missing perl-tk (Closes: #622403)
    This also fixes the problem with startup (Closes: #836441)

 -- Norbert Preining <preining@debian.org>  Tue, 01 Aug 2017 16:06:47 +0900

texlive-base (2017.20170724-1) unstable; urgency=medium

  * new upstream checkout
    - new fancyhdr fixes extramarks (Closes: #869078)
    - fixes for fontenc/polyglossia (Closes: #672742)
  * make TEXMFSYSCONFIG (/etc/texmf) searchable without ls-R
    (Closes: #869185)

 -- Norbert Preining <preining@debian.org>  Mon, 24 Jul 2017 08:01:59 +0900

texlive-base (2017.20170629-1) unstable; urgency=medium

  * new upstream checkout
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 29 Jun 2017 11:30:55 +0900

texlive-base (2017.20170627-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 27 Jun 2017 10:19:25 +0900

texlive-base (2017.20170623-1) unstable; urgency=medium

  * new upstream checkout
    - graphics driver file use private version of space (Closes: #865323)
    - already closed long time ago, but not mentioned (Closes: #864750)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Jun 2017 22:59:24 +0900

texlive-base (2017.20170619-1) unstable; urgency=medium

  * new checkout and upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 17:06:59 +0900

texlive-base (2017.20170614-1) experimental; urgency=medium

  * new upstream checkout - fix for broken dvipdmfx.def (Closes: #864750)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Jun 2017 12:09:43 +0900

texlive-base (2017.20170613-1) experimental; urgency=medium

  * first post 2017 checkout with all the updates since the freeze

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 09:59:07 +0900

texlive-base (2017.20170525-1) experimental; urgency=medium

  * TL 2017

 -- Norbert Preining <preining@debian.org>  Sat, 27 May 2017 11:03:36 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 4.0.0
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, tex-common (>= 6), texlive-binaries (>= 2017.20170524.44437), ucf, xdg-utils
Conflicts: luasseq (<< 2015), luasseq (<< 2017.20170628), prosper (<< 2017), prosper (<< 2017.20170628), tex4ht (<< 20160814), texlive (<< 2017.20170628), texlive-base (<< 2017.20170628), texlive-bibtex-extra (<< 2017.20170628), texlive-binaries (<< 2017.20170524.44437), texlive-extra-utils (<< 2017.20170628), texlive-font-utils (<< 2017.20170628), texlive-fonts-extra (<< 2017.20170628), texlive-fonts-extra-doc (<< 2017.20170628), texlive-fonts-recommended (<< 2017.20170628), texlive-fonts-recommended-doc (<< 2017.20170628), texlive-formats-extra (<< 2017.20170628), texlive-full (<< 2017.20170628), texlive-games (<< 2017.20170628), texlive-generic-extra (<< 2017), texlive-generic-extra (<< 2017.20170628), texlive-generic-recommended (<< 2017), texlive-generic-recommended (<< 2017.20170628), texlive-htmlxml (<< 2017), texlive-htmlxml (<< 2017.20170628), texlive-humanities (<< 2017.20170628), texlive-humanities-doc (<< 2017.20170628), texlive-lang-african (<< 2017), texlive-lang-african (<< 2017.20170628), texlive-lang-all (<< 2017.20170628), texlive-lang-arabic (<< 2017.20170628), texlive-lang-chinese (<< 2017.20170628), texlive-lang-cjk (<< 2017.20170628), texlive-lang-cyrillic (<< 2017.20170628), texlive-lang-czechslovak (<< 2017.20170628), texlive-lang-english (<< 2017.20170628), texlive-lang-european (<< 2017.20170628), texlive-lang-french (<< 2017.20170628), texlive-lang-german (<< 2017.20170628), texlive-lang-greek (<< 2017.20170628), texlive-lang-indic (<< 2017), texlive-lang-indic (<< 2017.20170628), texlive-lang-italian (<< 2017.20170628), texlive-lang-japanese (<< 2017.20170628), texlive-lang-korean (<< 2017.20170628), texlive-lang-other (<< 2017.20170628), texlive-lang-polish (<< 2017.20170628), texlive-lang-portuguese (<< 2017.20170628), texlive-lang-spanish (<< 2017.20170628), texlive-latex-base (<< 2017.20170628), texlive-latex-base-doc (<< 2017.20170628), texlive-latex-extra (<< 2017.20170628), texlive-latex-extra-doc (<< 2017.20170628), texlive-latex-recommended (<< 2017.20170628), texlive-latex-recommended-doc (<< 2017.20170628), texlive-luatex (<< 2017.20170628), texlive-metapost (<< 2017.20170628), texlive-metapost-doc (<< 2017.20170628), texlive-music (<< 2017.20170628), texlive-omega (<< 2017), texlive-omega (<< 2017.20170628), texlive-pictures (<< 2017.20170628), texlive-pictures-doc (<< 2017.20170628), texlive-plain-extra (<< 2017), texlive-plain-extra (<< 2017.20170628), texlive-plain-generic (<< 2017.20170628), texlive-pstricks (<< 2017.20170628), texlive-pstricks-doc (<< 2017.20170628), texlive-publishers (<< 2017.20170628), texlive-publishers-doc (<< 2017.20170628), texlive-science (<< 2017.20170628), texlive-science-doc (<< 2017.20170628), texlive-xetex (<< 2017.20170628)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf-reader | pdf-viewer
Replaces: texlive-common (<< 2013)
Breaks: texlive-common (<< 2013), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist --
 .
 graphics-def -- Colour and graphics option files
 .
 gsftopk -- Convert "Ghostscript fonts" to PK files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base --
 .
 ifluatex -- Provides the \ifluatex switch
 .
 ifxetex -- Am I running under XeTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tetex -- scripts and files originally written for or included in teTeX
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texconfig --
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map --
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX distributions

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437)
Recommends: texlive-latex-base-doc
Breaks: texlive-base (<< 2017.20170628)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages.
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig --
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 tools -- The LaTeX standard tools bundle
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
Recommends: texlive-latex-recommended-doc
Suggests: texlive-pstricks
Replaces: texlive-htmlxml (<< 2017)
Breaks: texlive-base (<< 2017.20170628)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .
 cmap -- Make PDF files searchable and copyable
 .
 crop -- Support for cropmarks
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives
 .
 eso-pic -- Add picture commands (or backgrounds) to every page
 .
 euenc -- Unicode font encoding definitions for XeTeX
 .
 euler -- Use AMS Euler fonts for math
 .
 extsizes -- Extend the standard classes' size options
 .
 fancybox -- Variants of \fbox and other games with boxes
 .
 fancyref -- A LaTeX package for fancy cross-referencing
 .
 fancyvrb -- Sophisticated verbatim text
 .
 filehook -- Hooks for input files
 .
 float -- Improved interface for floating objects
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX
 .
 fp -- Fixed point arithmetic
 .
 index -- Extended index for LaTeX including multiple indexes
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen
 .
 koma-script -- A bundle of versatile classes and packages
 .
 latexbug -- Bug-classification for LaTeX related bugs
 .
 l3experimental -- Experimental LaTeX3 concepts
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 lineno -- Line numbers on paragraphs
 .
 listings -- Typeset source code listings using LaTeX
 .
 lwarp -- Converts LaTeX to HTML
 .
 mathspec -- Specify arbitrary fonts for mathematics in XeTeX
 .
 mathtools -- Mathematical tools to use with amsmath
 .
 mdwtools -- Miscellaneous tools by Mark Wooding
 .
 memoir -- Typeset fiction, non-fiction and mathematical books
 .
 metalogo -- Extended TeX logo macros
 .
 microtype -- Subliminal refinements towards typographical perfection
 .
 ms -- Various LaTeX packages by Martin Schroder
 .
 ntgclass -- "European" versions of standard classes
 .
 parskip -- Layout with zero \parindent, non-zero \parskip
 .
 pdfpages -- Include PDF documents in LaTeX
 .
 polyglossia -- An alternative to babel for XeLaTeX and LuaLaTeX
 .
 powerdot -- A presentation class
 .
 psfrag -- Replace strings in encapsulated PostScript figures
 .
 rcs -- Use RCS (revision control system) tags in LaTeX documents
 .
 sansmath -- Maths in a sans font
 .
 section -- Modifying section commands in LaTeX
 .
 seminar -- Make overhead slides
 .
 sepnum -- Print numbers in a "friendly" format
 .
 setspace -- Set space between lines
 .
 subfig -- Figures broken into subfigures
 .
 textcase -- Case conversion ignoring mathematics, etc
 .
 thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf
 .
 typehtml -- Typeset HTML directly from LaTeX
 .
 underscore -- Control the behaviour of "_" in text
 .
 unicode-math -- Unicode mathematics support for XeTeX and LuaTeX
 .
 xcolor -- Driver-independent color extensions for LaTeX and pdfLaTeX
 .
 xkeyval -- Extension of the keyval package
 .
 xltxtra -- "Extras" for LaTeX users of XeTeX
 .
 xunicode -- Generate Unicode characters from accented glyphs

Package: texlive-fonts-recommended
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628)
Recommends: tex-gyre, texlive-fonts-recommended-doc, tipa (>= 2:1.2-2.1)
Breaks: texlive-base (<< 2017.20170628)
Description: TeX Live: Recommended fonts
 Recommended fonts, including the base 35 PostScript fonts, Latin Modern, TeX 
 Gyre, and T1 and other encoding support for Computer Modern, in outline 
 form.
 .
 This package includes the following CTAN packages:
 .
 avantgar -- URW "Base 35" font pack for LaTeX
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive-lang-african texlive-lang-indic texlive-generic-recommended texlive-generic-extra texlive-plain-extra texlive-htmlxml texlive-omega luasseq prosper texlive texlive-full

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	rm -f debian/texlive-base.cnf


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	mkdir -p debian/texlive-base/usr/share/applications
	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications

	# move ltx-help.el into emacs directory

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A 		\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --flavor=tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info

	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-base 2017.20180305

=== Makefile ===
# ATTENTION: this may need ~/context/tex/setuptex in advance

all: mkii mkiv

mkii:
	texexec --passon="--shell-escape"  --once --pdf pgfplotstest
	for A in gnuplot/*.gnuplot; do gnuplot <$$A; done

mkiv:
	context --once pgfplotstest_mkiv
	for A in gnuplot/*.gnuplot; do gnuplot <$$A; done

=== regressiontests/Makefile ===
# This is a regression-test framework for tex.
#
# The idea is as follows:
#
# 1. there is a reference revision on which a unittest runs as expected.
# 2. there is a way to generate the reference image (to pdf and to png)
# 3. you can compile the actual image
# 4. you can "diff" the actual image and the reference (and view the difference)
# 5. you can create a log of the single results and diffs
#
# This makefile can do all of these steps.
#
# The references can be generated with
# >> make references
# References are stored in a sub-folder called "references". You can *REMOVE* this directory
# to clean references.
#
# References are compiled using different revisions of the code; they are checked out into /tmp. 
#
#
# HOW TO WRITE TESTS
# Simply write a minimal, self-contained .tex file (say, unittest_42.tex) in this directory. It can have multiple
# pages.
# 
# If a test contains \FIXIT, it is marked as "this test is known to be broken - test issue"
#
#
# If your example needs a specific reference revision, create a file <base>.checkoutreferencerev.sh which contains something
# like "git checkout 1.3.1" . It will be invoked to checkout the reference revision.
#
# If your example needs a specific command to translate it, create a file <base>.compile.sh which runs it. Its first argument will be the base file name (without .tex).
#
# Then, type "make unittest_42.diff" to create reference, actual, and difference.
#
# Typing 'make' will make all unittests (all *.tex files in this directory).
#  
# COMPILING TESTS
# 1. compile reference, actual, and diff:
# >> make unittest_polar_7.diff
# 2. compile reference only
# >> make references/unittest_polar_7.pdf
# 3. compile actual only
# >> make unittest_polar_7.pdf
#
# The makefile will avoid re-creation of test cases in order to allow concentrate on failures.
# If you want to remake tests, you can either type 
# >> make clean
# or you can use the (standard) make feature 
# >> make unittest_polar_7.diff -B
# which forces remake, even if modtimes are unchanged 
#
#
# SPECIALTIES:
# create a file unittest_*.diff.accepted containing accepted diff results 
# (in case you approved that they are "not an error"). 
# The file should contain what the failure-output of the 'make test.diff' target.


# files with this suffix are in .gitignore
LUA_BACKEND_SUFFIX=_luabackend
AUTOMATIC_LUALATEX_BACKEND_TESTS=$(shell grep -v "\#" < luatests_automatic.list )
GENERATED_LUALATEX_BACKEND_TESTS=$(AUTOMATIC_LUALATEX_BACKEND_TESTS:%.tex=%$(LUA_BACKEND_SUFFIX).tex)

AUTOMATIC_LUALATEX_TO_PDFTEX_FALLBACK_TESTS=$(shell grep -v "\#" < luatests_automatic_texfallback.list )
GENERATED_LUALATEX_TO_PDFTEX_FALLBACK_TESTS=$(AUTOMATIC_LUALATEX_TO_PDFTEX_FALLBACK_TESTS:%.tex=%$(LUA_BACKEND_SUFFIX).tex)

UNIT_SOURCES=$(wildcard unittest_*.tex) $(GENERATED_LUALATEX_BACKEND_TESTS) $(GENERATED_LUALATEX_TO_PDFTEX_FALLBACK_TESTS)

UNIT_PDFS=$(UNIT_SOURCES:.tex=.pdf)
DIFF_MEASURES=$(UNIT_SOURCES:.tex=.diff)
DIFF_MEASURES_LUABACKEND_ONLY=$(GENERATED_LUALATEX_BACKEND_TESTS:.tex=.diff)
DIFF_MEASURES_LUABACKEND_FALLBACKS_ONLY=$(GENERATED_LUALATEX_TO_PDFTEX_FALLBACK_TESTS:.tex=.diff)

# REQUIRES apcalc package ('calc' executable)
ACCEPTED_NORMALIZED_ERROR=5e-4
DIRECTORY_FOR_ACCEPTED_ERRORS=./pgfplotsUTaccepted

INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY=plotdata/risingdrop3d.png plotdata/plotgraphics3dsurf.png

# -------------------------------------------------
# stuff for references:
# allow dynamic creation of reference files. I have never used something else.
ENABLE_DYNAMIC_REFERENCES=1

STATISTICS=$$(ls unittest_*.pdf | wc -l)/$$(ls unittest_*.tex | wc -l) [F=$$(find -maxdepth 1 -name 'unittest_*.diff.png' | wc -l)]

UNIT_PDF_REFERENCES=$(UNIT_SOURCES:%.tex=references/%.pdf)
WORKING_DIR=$(shell pwd)
PGFPLOTS_GIT_BASEDIR=$(WORKING_DIR:source/latex/pgfplots/pgfplotstest/regressiontests=)
TMP_REPOSITORY=/tmp/pgfplots_copy
DEFAULT_REFERENCE_BRANCH:=$(shell git describe --tags HEAD)

# the following two variables control which PGF version is to be used for the references and the actual files, respectively:
PGF_REFERENCE_PATH=~/code/tex/pgf
#PGF_REFERENCE_PATH=~/code/tex/pgf_2.10/tex
#PGF_REFERENCE_PATH=~/code/tex/pgf_3.0.0/tex
#PGF_REFERENCE_PATH=~/code/tex/pgf_3.0.1/tex
PGF_ACTUAL_PATH=$(PGF_REFERENCE_PATH)

.PRECIOUS:  $(UNIT_SOURCES:%.tex=%.checkoutreferencerev.sh) $(UNIT_SOURCES:%.tex=%.compile.sh) $(UNIT_PDF_REFERENCES) $(UNIT_SOURCES:%.tex=%.pdf)

AUTO_INDENT_PIPE=2>&1 | sed -e 's/^/  /'
$(shell mkdir -p gnuplot references/gnuplot )
# -------------------------------------------------

.NOTPARALLEL:

# .PRECIOUS: $(UNIT_PNGS)

.PHONY: references pdf png  cleanX clean setupdirs

diff: $(DIFF_MEASURES) 

diffluaall: difflua diffluafallback

diffluafallback: $(DIFF_MEASURES_LUABACKEND_FALLBACKS_ONLY)

difflua: $(DIFF_MEASURES_LUABACKEND_ONLY)

pdf: $(UNIT_PDFS) 

clean: cleanX
	rm -fr references 

$(GENERATED_LUALATEX_BACKEND_TESTS): %$(LUA_BACKEND_SUFFIX).tex: %.tex
	@echo "Generating $@ from $^ ..."
	@rm -f $@
	@echo "\\AtBeginDocument{\\pgfplotsset{lua backend, lua debug=compileerror}}" >> $@
	@echo "% FILE HAS BEEN GENERATED because it is in luatests_automatic.list . Do NOT edit. See Makefile." >> $@
	@echo "\\input $^" >> $@

$(GENERATED_LUALATEX_TO_PDFTEX_FALLBACK_TESTS): %$(LUA_BACKEND_SUFFIX).tex: %.tex
	@echo "Generating $@ from $^ ..."
	@rm -f $@
	@echo "\\AtBeginDocument{\\pgfplotsset{lua backend, lua debug=verbose}}" >> $@
	@echo "% FILE HAS BEEN GENERATED because it is in luatests_automatic_texfallback.list . Do NOT edit. See Makefile." >> $@
	@echo "\\input $^" >> $@

# clean all except for references:
cleanX:
	rm -fr $(DIFF_MEASURES) $(UNIT_PDFS) unittest*-figure* unittest*.png $(DIRECTORY_FOR_ACCEPTED_ERRORS) $(GENERATED_LUALATEX_BACKEND_TESTS) $(GENERATED_LUALATEX_TO_PDFTEX_FALLBACK_TESTS)

%.diff.png: %.diff
	@

%.diff: %.pdf references/%.pdf
	@echo "$<: diffing --> $@ ..."
	@# touch diff.png in case the diff routine fails -- we want to see it in the error report counts
	@./pdfdiff.sh $< references/$< $@ || touch $@.png
	@if [ "`cat $@`" = "0 (0)" ]; then \
		echo "  PASSED: no differences detected (removing superfluos diff-pngs)"; \
		rm -f $@.png $<.png $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@ $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@.png; # no need to keep the images (the latter for multi-page mode). \
	else \
		#echo "$<: found nonzero pixel differences `cat $@`."; \
		sed -e 's/.*(\(.*\)).*/\1/' < $@  > $@.normalized || exit 1; \
		\
		ACCEPTED_ERROR=$(ACCEPTED_NORMALIZED_ERROR); \
		if [ -f "$@.accepted" ]; then \
			sed -e 's/.*(\(.*\)).*/\1/' < "$@.accepted"  > $@.accepted.normalized || exit 1; \
			ACCEPTED_ERROR=`cat "$@.accepted.normalized"`; \
			rm -f "$@.accepted.normalized"; \
		fi;\
		\
		NORMALIZED=`cat $@.normalized`; \
		rm -f $@.normalized; \
		calc -p "$$NORMALIZED <= $$ACCEPTED_ERROR" > $@.isaccepted || ( echo "calc invocation failed. Please ensure that apcalc package is installed."; exit 1 ); \
		if [ "`cat $@.isaccepted`" = "1" ]; then \
			echo "  PASSED: only approved differences $$NORMALIZED <= $$ACCEPTED_ERROR detected; moving superfluos diff-pngs to $(DIRECTORY_FOR_ACCEPTED_ERRORS))"; \
			mkdir -p $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			mv $@.png $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			cp $@ $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		else \
			echo "  FAILURE: pixel differences for $<: $$NORMALIZED > $$ACCEPTED_ERROR"; \
			echo "  (if not a bug: 'echo \"`cat $@`\" > $@.accepted')"; \
			echo "  Call './displayDiff.sh $@.png' (see summarize of regressions.sh)"; \
			rm $@; # make sure it will be recomputed! \
			false; \
		fi; \
		CODE=$$?; \
		rm -f $@.isaccepted; \
		exit $$CODE; \
	fi
		


#	convert $< -append $@
#	@diff $@ references/$@; \
#	if [ ! $$? -eq 0 ]; then \
#		echo 'convert "$@" "references/$@" -compose difference -composite -colorspace gray miff:- | display' > $(@:.png=.regression.sh); \
#		echo "echo $@" >> regressions.sh; \
#		echo "sh $(@:.png=.regression.sh)" >> regressions.sh; \
#		echo "$@ WAS UNEXPECTED. See regressions.sh"; \
#		touch -t 01010000 $@; # make sure its older MMDDHHSS\
#		false;\
#	fi
	
		

references: $(UNIT_PDF_REFERENCES)

%.checkoutreferencerev.sh:
	@if [ ! -f $@ ]; then pwd; echo "generating $@ (with $(DEFAULT_REFERENCE_BRANCH))..."; echo "git checkout $(DEFAULT_REFERENCE_BRANCH)" > $@ || exit 1; fi

ifeq ($(ENABLE_DYNAMIC_REFERENCES),1)

# the automatic LUA tests simply use their pdftex result as reference
references/%$(LUA_BACKEND_SUFFIX).pdf: references/%.pdf
	@echo "$<: Using pdftex result as reference"
	ln -fs $(notdir $<) $@

references/%.pdf: %.tex %.checkoutreferencerev.sh %.compile.sh
	@echo "$<: generating $@"; \
	REFERENCE_SCRIPT=$(<:.tex=.checkoutreferencerev.sh);\
	#echo "  checking out reverence revision to $(TMP_REPOSITORY)..."; \
	if [ ! -d $(TMP_REPOSITORY) ]; then \
		cd $(dir $(TMP_REPOSITORY)) || exit 1; \
		git clone $(PGFPLOTS_GIT_BASEDIR) $(notdir $(TMP_REPOSITORY)) || exit 1; \
	fi; \
	cd $(TMP_REPOSITORY) || exit 1; \
	git reset --hard >/dev/null 2>&1; \
	cat $(WORKING_DIR)/$$REFERENCE_SCRIPT $(AUTO_INDENT_PIPE); \
	sh $(WORKING_DIR)/$$REFERENCE_SCRIPT  1>/dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
		echo "CHECKOUT FAILED." $(AUTO_INDENT_PIPE); \
		echo "(cleaning $(TMP_REPOSITORY))..." $(AUTO_INDENT_PIPE); \
		rm -fr $(TMP_REPOSITORY); \
		exit 1; \
	fi
	@#./patch_repository.sh $(TMP_REPOSITORY)
	@if [ ! -d references/plotdata ]; then cd references; ln -s ../plotdata; fi
	@cd references || exit 1;\
	export TEXINPUTS=.:..:$(TMP_REPOSITORY)/tex//:$(PGF_REFERENCE_PATH)/generic//:$(PGF_REFERENCE_PATH)/latex//:$(TEXINPUTS); \
	export LUAINPUTS="$(TMP_REPOSITORY)/tex/generic/pgfplots/lua/:$(TMP_REPOSITORY)/tex/generic/pgfplots/lua/pgfplotsoldpgfsupp:$(PGF_REFERENCE_PATH)/generic//:$(PGF_REFERENCE_PATH)/generic/pgf/libraries/luamath/:"; \
	echo "export TEXINPUTS=$${TEXINPUTS}:\$$TEXINPUTS" $(AUTO_INDENT_PIPE); \
	echo "cd references && \"compile $<\" ..." $(AUTO_INDENT_PIPE); \
	# create *.diff.png -> this makes it much more visible that it failed: \
	bash ../$(<:.tex=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1 || \
		( sh ../../scripts/compile_failed.sh "../$<" "$@" "\nPlease check $(<:.tex=.checkoutreferencerev.sh)" $(AUTO_INDENT_PIPE); exit 1 )

else
#disable dynamic reference (re-)creation:
references/%.pdf: %.tex 
	@if [ ! -f $@ ]; then echo "  REFERENCE IS MISSING AND CAN'T BE CREATED AUTOMATICALLY (ENABLE_DYNAMIC_REFERENCES=0)"; exit 1; fi

endif

# make sure this rule is AFTER references/%.pdf !
%.pdf: %.tex %.compile.sh $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
	@echo "$(STATISTICS) $@: recompiling $< ..."
	@rm -f $@; \
	export TEXINPUTS="./:$(PGFPLOTS_GIT_BASEDIR)/tex//:$(PGF_ACTUAL_PATH)/generic//:$(PGF_ACTUAL_PATH)/latex//:"; \
	export LUAINPUTS="$(PGFPLOTS_GIT_BASEDIR)/tex/generic/pgfplots/lua/:$(PGFPLOTS_GIT_BASEDIR)/tex/generic/pgfplots/lua/pgfplotsoldpgfsupp:$(PGF_ACTUAL_PATH)/generic//:$(PGF_ACTUAL_PATH)/generic/pgf/libraries/luamath/:"; \
	bash ./$(@:.pdf=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1  || \
		( sh ../scripts/compile_failed.sh "$<" "$@" "" $(AUTO_INDENT_PIPE); exit 1 )

%$(LUA_BACKEND_SUFFIX).compile.sh:
	@if [ ! -f $@ ]; then echo "generating default $@ ..."; echo 'lualatex -shell-escape -interaction batchmode -halt-on-error "$$@"' > $@; fi

%.compile.sh:
	@if [ ! -f $@ ]; then echo "generating default $@ ..."; echo 'pdflatex -shell-escape -interaction batchmode -halt-on-error "$$@"' > $@; fi

# temporary links to graphics which are in the doc directory:
# see $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
plotdata/%: 
	cd plotdata && ln -fs ../../../../../../doc/latex/pgfplots/plotdata/$(notdir $@)

=== debian/changelog ===
texlive-base (2017.20180305-1) unstable; urgency=medium

  * new upstream checkout: final 2017 release

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2018 09:41:47 +0900

texlive-base (2017.20180225-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 25 Feb 2018 11:54:16 +0900

texlive-base (2017.20180110-1) unstable; urgency=medium

  * new upstream checkout
  * demote -doc packages to being suggested
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 10 Jan 2018 11:41:57 +0900

texlive-base (2017.20180103-1) unstable; urgency=medium

  * new upstream checkout
  * include prerex, thanks to Ryan Kavanagh for patches

 -- Norbert Preining <preining@debian.org>  Wed, 03 Jan 2018 19:46:18 +0900

texlive-base (2017.20171128-1) unstable; urgency=medium

  * new upstream checkout
  * add missing replaces (see also #880901)

 -- Norbert Preining <preining@debian.org>  Tue, 28 Nov 2017 08:50:56 +0900

texlive-base (2017.20171031-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 31 Oct 2017 10:40:56 +0900

texlive-base (2017.20171004-1) unstable; urgency=medium

  * new upstream checkout
    - move ucharcat to texlive-latex-recommended (Closes: #876756)
    - move etoolbox to texlive-latex-recommended (Closes: #877018)
  * update scripts.lst, recover many missing binary links
    (in particular fmtutil-user and updmap-user)

 -- Norbert Preining <preining@debian.org>  Wed, 04 Oct 2017 13:06:58 +0900

texlive-base (2017.20170926-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 26 Sep 2017 11:07:50 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.tug.org/texlive/
 
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, libpaper-utils, tex-common (>= 6), texlive-binaries (>= 2017.20170524.44437), ucf, xdg-utils
-Conflicts: luasseq (<< 2015), luasseq (<< 2017.20170628), prosper (<< 2017), prosper (<< 2017.20170628), tex4ht (<< 20160814), texlive (<< 2017.20170628), texlive-base (<< 2017.20170628), texlive-bibtex-extra (<< 2017.20170628), texlive-binaries (<< 2017.20170524.44437), texlive-extra-utils (<< 2017.20170628), texlive-font-utils (<< 2017.20170628), texlive-fonts-extra (<< 2017.20170628), texlive-fonts-extra-doc (<< 2017.20170628), texlive-fonts-recommended (<< 2017.20170628), texlive-fonts-recommended-doc (<< 2017.20170628), texlive-formats-extra (<< 2017.20170628), texlive-full (<< 2017.20170628), texlive-games (<< 2017.20170628), texlive-generic-extra (<< 2017), texlive-generic-extra (<< 2017.20170628), texlive-generic-recommended (<< 2017), texlive-generic-recommended (<< 2017.20170628), texlive-htmlxml (<< 2017), texlive-htmlxml (<< 2017.20170628), texlive-humanities (<< 2017.20170628), texlive-humanities-doc (<< 2017.20170628), texlive-lang-african (<< 2017), texlive-lang-african (<< 2017.20170628), texlive-lang-all (<< 2017.20170628), texlive-lang-arabic (<< 2017.20170628), texlive-lang-chinese (<< 2017.20170628), texlive-lang-cjk (<< 2017.20170628), texlive-lang-cyrillic (<< 2017.20170628), texlive-lang-czechslovak (<< 2017.20170628), texlive-lang-english (<< 2017.20170628), texlive-lang-european (<< 2017.20170628), texlive-lang-french (<< 2017.20170628), texlive-lang-german (<< 2017.20170628), texlive-lang-greek (<< 2017.20170628), texlive-lang-indic (<< 2017), texlive-lang-indic (<< 2017.20170628), texlive-lang-italian (<< 2017.20170628), texlive-lang-japanese (<< 2017.20170628), texlive-lang-korean (<< 2017.20170628), texlive-lang-other (<< 2017.20170628), texlive-lang-polish (<< 2017.20170628), texlive-lang-portuguese (<< 2017.20170628), texlive-lang-spanish (<< 2017.20170628), texlive-latex-base (<< 2017.20170628), texlive-latex-base-doc (<< 2017.20170628), texlive-latex-extra (<< 2017.20170628), texlive-latex-extra-doc (<< 2017.20170628), texlive-latex-recommended (<< 2017.20170628), texlive-latex-recommended-doc (<< 2017.20170628), texlive-luatex (<< 2017.20170628), texlive-metapost (<< 2017.20170628), texlive-metapost-doc (<< 2017.20170628), texlive-music (<< 2017.20170628), texlive-omega (<< 2017), texlive-omega (<< 2017.20170628), texlive-pictures (<< 2017.20170628), texlive-pictures-doc (<< 2017.20170628), texlive-plain-extra (<< 2017), texlive-plain-extra (<< 2017.20170628), texlive-plain-generic (<< 2017.20170628), texlive-pstricks (<< 2017.20170628), texlive-pstricks-doc (<< 2017.20170628), texlive-publishers (<< 2017.20170628), texlive-publishers-doc (<< 2017.20170628), texlive-science (<< 2017.20170628), texlive-science-doc (<< 2017.20170628), texlive-xetex (<< 2017.20170628)
+Conflicts: luasseq (<< 2015), luasseq (<< 2017.20170628), prosper (<< 2017), prosper (<< 2017.20170628), tex4ht (<< 20160814), texlive (<< 2017.20170628), texlive-base (<< 2017.20170628), texlive-bibtex-extra (<< 2017.20170628), texlive-binaries (<< 2017.20170524.44437), texlive-extra-utils (<< 2017.20170628), texlive-font-utils (<< 2017.20170628), texlive-fonts-extra (<< 2017.20170628), texlive-fonts-extra-doc (<< 2017.20170628), texlive-fonts-extra-links (<< 2017.20170628), texlive-fonts-recommended (<< 2017.20170628), texlive-fonts-recommended-doc (<< 2017.20170628), texlive-formats-extra (<< 2017.20170628), texlive-full (<< 2017.20170628), texlive-games (<< 2017.20170628), texlive-generic-extra (<< 2017), texlive-generic-extra (<< 2017.20170628), texlive-generic-recommended (<< 2017), texlive-generic-recommended (<< 2017.20170628), texlive-htmlxml (<< 2017), texlive-htmlxml (<< 2017.20170628), texlive-humanities (<< 2017.20170628), texlive-humanities-doc (<< 2017.20170628), texlive-lang-african (<< 2017), texlive-lang-african (<< 2017.20170628), texlive-lang-all (<< 2017.20170628), texlive-lang-arabic (<< 2017.20170628), texlive-lang-chinese (<< 2017.20170628), texlive-lang-cjk (<< 2017.20170628), texlive-lang-cyrillic (<< 2017.20170628), texlive-lang-czechslovak (<< 2017.20170628), texlive-lang-english (<< 2017.20170628), texlive-lang-european (<< 2017.20170628), texlive-lang-french (<< 2017.20170628), texlive-lang-german (<< 2017.20170628), texlive-lang-greek (<< 2017.20170628), texlive-lang-indic (<< 2017), texlive-lang-indic (<< 2017.20170628), texlive-lang-italian (<< 2017.20170628), texlive-lang-japanese (<< 2017.20170628), texlive-lang-korean (<< 2017.20170628), texlive-lang-other (<< 2017.20170628), texlive-lang-polish (<< 2017.20170628), texlive-lang-portuguese (<< 2017.20170628), texlive-lang-spanish (<< 2017.20170628), texlive-latex-base (<< 2017.20170628), texlive-latex-base-doc (<< 2017.20170628), texlive-latex-extra (<< 2017.20170628), texlive-latex-extra-doc (<< 2017.20170628), texlive-latex-recommended (<< 2017.20170628), texlive-latex-recommended-doc (<< 2017.20170628), texlive-luatex (<< 2017.20170628), texlive-metapost (<< 2017.20170628), texlive-metapost-doc (<< 2017.20170628), texlive-music (<< 2017.20170628), texlive-omega (<< 2017), texlive-omega (<< 2017.20170628), texlive-pictures (<< 2017.20170628), texlive-pictures-doc (<< 2017.20170628), texlive-plain-extra (<< 2017), texlive-plain-extra (<< 2017.20170628), texlive-plain-generic (<< 2017.20170628), texlive-pstricks (<< 2017.20170628), texlive-pstricks-doc (<< 2017.20170628), texlive-publishers (<< 2017.20170628), texlive-publishers-doc (<< 2017.20170628), texlive-science (<< 2017.20170628), texlive-science-doc (<< 2017.20170628), texlive-xetex (<< 2017.20170628)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf-reader | pdf-viewer
@@ -43,7 +43,7 @@
  .
  etex-pkg -- E-TeX support package
  .
- glyphlist --
+ glyphlist -- Adobe Glyph List and TeX extensions
  .
  graphics-def -- Colour and graphics option files
  .
@@ -51,7 +51,7 @@
  .
  hyph-utf8 -- Hyphenation patterns expressed in UTF-8
  .
- hyphen-base --
+ hyphen-base -- core hyphenation support files
  .
  ifluatex -- Provides the \ifluatex switch
  .
@@ -79,14 +79,12 @@
  .
  plain -- The Plain TeX format
  .
- tetex -- scripts and files originally written for or included in teTeX
+ tetex -- scripts and files originally from teTeX
  .
  tex -- A sophisticated typesetting engine
  .
  tex-ini-files -- Model TeX format creation files
  .
- texconfig --
- .
  texlive-common -- TeX Live documentation (common elements)
  .
  texlive-docindex -- top-level TeX Live doc.html, etc.
@@ -95,17 +93,17 @@
  .
  unicode-data -- Unicode data and loaders for TeX
  .
- updmap-map --
+ updmap-map -- auto-generated font map files
  .
  xdvi -- A DVI previewer for the X Window System
  .
- texdoc -- Documentation access for TeX distributions
+ texdoc -- Documentation access for TeX Live
 
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437)
-Recommends: texlive-latex-base-doc
+Suggests: texlive-latex-base-doc
 Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
@@ -143,11 +141,11 @@
  .
  latex -- A TeX macro package that defines LaTeX
  .
- latex-bin -- LaTeX executables and man pages.
+ latex-bin -- LaTeX executables and man pages
  .
  latex-fonts -- A collection of fonts used in LaTeX distributions
  .
- latexconfig --
+ latexconfig -- configuration files for LaTeX-related formats
  .
  ltxmisc -- Miscellaneous LaTeX packages, etc
  .
@@ -173,10 +171,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
-Recommends: texlive-latex-recommended-doc
-Suggests: texlive-pstricks
-Replaces: texlive-htmlxml (<< 2017)
-Breaks: texlive-base (<< 2017.20170628)
+Suggests: texlive-latex-recommended-doc, texlive-pstricks
+Replaces: texlive-htmlxml (<< 2017), texlive-latex-extra (<< 2017.20171003), texlive-luatex (<< 2017.20171003)
+Breaks: texlive-base (<< 2017.20170628), texlive-latex-extra (<< 2017.20171003), texlive-luatex (<< 2017.20171003)
 Description: TeX Live: LaTeX recommended packages
  A collection of recommended add-on packages for LaTeX which have widespread 
  use.
@@ -208,6 +205,8 @@
  .
  euler -- Use AMS Euler fonts for math
  .
+ etoolbox -- e-TeX tools for LaTeX
+ .
  extsizes -- Extend the standard classes' size options
  .
  fancybox -- Variants of \fbox and other games with boxes
@@ -288,7 +287,12 @@
  .
  thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf
  .
+ translator -- Easy translation of strings in LaTeX
+ .
  typehtml -- Typeset HTML directly from LaTeX
+ .
+ ucharcat -- Implementation of the (new in 2015) XeTeX \Ucharcat command in
+ lua, for LuaTeX
  .
  underscore -- Control the behaviour of "_" in text
  .
@@ -306,15 +310,3 @@
 Section: fonts
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628)
-Recommends: tex-gyre, texlive-fonts-recommended-doc, tipa (>= 2:1.2-2.1)
-Breaks: texlive-base (<< 2017.20170628)
-Description: TeX Live: Recommended fonts
- Recommended fonts, including the base 35 PostScript fonts, Latin Modern, TeX 
- Gyre, and T1 and other encoding support for Computer Modern, in outline 
- form.
- .
- This package includes the following CTAN packages:
- .
- avantgar -- URW "Base 35" font pack for LaTeX
- .

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	mkdir -p debian/texlive-base/usr/share/applications
 	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications
 
-	# move ltx-help.el into emacs directory
+
 
 	for i in $(PACKAGES) $(METAPACKAGES) ; do \
 	  bash debian/create-font-links $$i >> debian/$$i.links ; \
@@ -123,6 +123,7 @@
 	dh_installmime
 	dh_lintian
 	dh_link
+	dh_strip_nondeterminism
 	dh_compress -X.pdf
 	dh_fixperms
 	# remove .bat files, nobody needs them
